import React from "react";
import { JoinRule } from "matrix-js-sdk/src/matrix";
interface IProps {
    value: JoinRule;
    label: string;
    width?: number;
    labelInvite: string;
    labelKnock?: string;
    labelPublic: string;
    labelRestricted?: string;
    onChange(value: JoinRule): void;
}
declare const JoinRuleDropdown: React.FC<IProps>;
export default JoinRuleDropdown;
